SessionInitiator.h File Reference

Licensed to the University Corporation for Advanced Internet Development, Inc. More...

`#include <shibsp/handler/Handler.h>`
`#include <shibsp/util/DOMPropertySet.h>`
`#include <set>`
`#include <string>`
Include dependency graph for SessionInitiator.h:

## Classes

class | shibsp::SessionInitiator
| Pluggable runtime functionality that handles initiating sessions. More...

## Namespaces

namespace | shibsp
| Shibboleth Service Provider Library.

## Macros

#define | CHAINING_SESSION_INITIATOR "Chaining"
| SessionInitiator that iterates through a set of protocol-specific versions.
#define | SAML2_SESSION_INITIATOR "SAML2"
| SessionInitiator that supports SAML 2.0 AuthnRequests.
#define | SAMLDS_SESSION_INITIATOR "SAMLDS"
| SessionInitiator that supports SAML Discovery Service protocol.
#define | SHIB1_SESSION_INITIATOR "Shib1"
| SessionInitiator that supports Shibboleth V1 AuthnRequest redirects.
#define | WAYF_SESSION_INITIATOR "WAYF"
| SessionInitiator that supports Shibboleth V1 WAYF redirects when no IdP is supplied.
#define | TRANSFORM_SESSION_INITIATOR "Transform"
| SessionInitiator that attempts a sequence of transforms of an input until an entityID is found.
#define | FORM_SESSION_INITIATOR "Form"
| SessionInitiator that uses HTML form submission from the user.
#define | COOKIE_SESSION_INITIATOR "Cookie"
| SessionInitiator that reads the CDC.

## Functions

void | shibsp::registerSessionInitiators ()
| Registers SessionInitiator implementations.

## Detailed Description

Licensed to the University Corporation for Advanced Internet Development, Inc.

(UCAID) under one or more contributor license agreements. See the NOTICE file distributed with this work for additional information regarding copyright ownership.

UCAID licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

Pluggable runtime functionality that handles initiating sessions.